Bug 42475 - rpm --rebuild with multiple files checks build dependancies for only one package at a time
rpm --rebuild with multiple files checks build dependancies for only one pack...
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-05-27 14:24 EDT by Gregory Leblanc
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-27 14:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2001-05-27 14:24:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i586; en-US; 0.8.1)

Description of problem:
When I issue a command like 'rpm --rebuild GConf-1.0.1-0.1.src.rpm
gdm-2.2.1-0.1.src.rpm' in an attempt to rebuild both of those packages, rpm
checks for BuildRequires dependancies.  However, it checks these on only
the first package, not on all packages listed.  This means that I can't
ensure that all dependancies are met before any of the builds start.  

How reproducible:

Steps to Reproduce:
1. Issue a command to rebuild 2 or more SRPMs where multiple packages have
un-met build time dependancies
2. Install packages to meet build-time dependancies that are listed at the
failure of the first step
3. re-issue first command, it should complete the build of the first set of
binary rpms, but fail when it gets to the second, because it's build-time
dependancies aren't met.

Actual Results:  RPM test/lists only the un-met build-time dependancies of
the first package on the command line.

Expected Results:  RPM should list the un-met build-time dependancies of
all packages listed on the command line.
Comment 1 Jeff Johnson 2001-05-28 13:51:38 EDT
    for i in GConf-1.0.1-0.1.src.rpm gdm-2.2.1-0.1.src.rpm
	rpm --rebuild $i
as there's much more (like re-ordering package builds using build dependencies)
that is more important to do with build dependencies before attempting to fix
problem. That's gonna take a while ...

Note You need to log in before you can comment on or make changes to this bug.